GatewayClientCompositeOperations¶
- class oci.apigateway.GatewayClientCompositeOperations(client, work_request_clients=None, **kwargs)¶
This class provides a wrapper around
GatewayClientand offers convenience methods for operations that would otherwise need to be chained together. For example, instead of performing an action on a resource (e.g. launching an instance, creating a load balancer) and then using a waiter to wait for the resource to enter a given state, you can call a single method in this class to accomplish the same functionalityMethods:
__init__(client[, work_request_clients])Creates a new GatewayClientCompositeOperations object
add_gateway_lock_and_wait_for_state(...[, ...])Calls
add_gateway_lock()and waits for theGatewayacted upon to enter the given state(s).Calls
change_gateway_compartment()and waits for theWorkRequestto enter the given state(s).create_gateway_and_wait_for_state(...[, ...])Calls
create_gateway()and waits for theWorkRequestto enter the given state(s).delete_gateway_and_wait_for_state(gateway_id)Calls
delete_gateway()and waits for theWorkRequestto enter the given state(s).Calls
remove_gateway_lock()and waits for theGatewayacted upon to enter the given state(s).update_gateway_and_wait_for_state(...[, ...])Calls
update_gateway()and waits for theWorkRequestto enter the given state(s).- __init__(client, work_request_clients=None, **kwargs)¶
Creates a new GatewayClientCompositeOperations object
- Parameters
client (GatewayClient) – The service client which will be wrapped by this object
work_request_clients (dict) –
(optional) Service-local clients keyed by generated client class name, for example
{'WorkRequestClient': work_request_client}. By default, regional clients are created when needed using the wrapped client’s signer, endpoint and constructor options.Automatically created work-request clients are cached. Before each wait, their endpoint and signer are refreshed from the wrapped client; other client settings and HTTP session changes are not synchronized. Do not modify the wrapped client’s endpoint or signer while a wait is in progress.
Supply a client for non-regional endpoints or customized HTTP sessions. These clients are separate from the shared Work Requests service.
- add_gateway_lock_and_wait_for_state(gateway_id, add_resource_lock_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
add_gateway_lock()and waits for theGatewayacted upon to enter the given state(s).- Parameters
gateway_id (str) – (required) The ocid of the gateway.
add_resource_lock_details (oci.apigateway.models.AddResourceLockDetails) – (required) AddResourceLockDetails body parameter
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
add_gateway_lock()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- change_gateway_compartment_and_wait_for_state(gateway_id, change_gateway_compartment_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
change_gateway_compartment()and waits for theWorkRequestto enter the given state(s).- Parameters
gateway_id (str) – (required) The ocid of the gateway.
change_gateway_compartment_details (oci.apigateway.models.ChangeGatewayCompartmentDetails) – (required) Details of the target compartment.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
change_gateway_compartment()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- create_gateway_and_wait_for_state(create_gateway_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
create_gateway()and waits for theWorkRequestto enter the given state(s).- Parameters
create_gateway_details (oci.apigateway.models.CreateGatewayDetails) – (required) Details for the new gateway.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
create_gateway()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- delete_gateway_and_wait_for_state(gateway_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
delete_gateway()and waits for theWorkRequestto enter the given state(s).- Parameters
gateway_id (str) – (required) The ocid of the gateway.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
delete_gateway()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- remove_gateway_lock_and_wait_for_state(gateway_id, remove_resource_lock_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
remove_gateway_lock()and waits for theGatewayacted upon to enter the given state(s).- Parameters
gateway_id (str) – (required) The ocid of the gateway.
remove_resource_lock_details (oci.apigateway.models.RemoveResourceLockDetails) – (required) RemoveResourceLockDetails body parameter
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
remove_gateway_lock()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- update_gateway_and_wait_for_state(gateway_id, update_gateway_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
update_gateway()and waits for theWorkRequestto enter the given state(s).- Parameters
gateway_id (str) – (required) The ocid of the gateway.
update_gateway_details (oci.apigateway.models.UpdateGatewayDetails) – (required) The information to be updated.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
update_gateway()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait